from django.conf.urls import url
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from rest_framework_jwt.views import obtain_jwt_token, refresh_jwt_token

from core import views

urlpatterns = [
    url(r'^api/student/$', views.StudentApiView.as_view(), name='student-page'),

    url(r'^api/tutorlist/$', views.TutorListApiView.as_view(), name='tutorlist'),

    url(r'^api-token-auth/', obtain_jwt_token),
    url(r'^api-token-refresh', refresh_jwt_token),
]

urlpatterns += staticfiles_urlpatterns()
